// Fill out your copyright notice in the Description page of Project Settings.


#include "Player/LMPlayerController.h"
#include "EnhancedInputSubsystems.h"
#include "EnhancedInputComponent.h"

void ALMPlayerController::BeginPlay()
{
	Super::BeginPlay();
	EnhancedInputSubsystem = GetLocalPlayer()->GetSubsystem<UEnhancedInputLocalPlayerSubsystem>();
	EnhancedInputSubsystem->AddMappingContext(DefaultMappingContext, 0); 
}

void ALMPlayerController::SetupInputComponent()
{
	Super::SetupInputComponent();
	UEnhancedInputComponent* Input = Cast<UEnhancedInputComponent>(InputComponent);
	Input->BindAction(MoveAction, ETriggerEvent::Triggered, this, &ALMPlayerController::Move);
}

void ALMPlayerController::Move(const FInputActionValue& InputValue)
{
	const FVector2d VectorDirection = InputValue.Get<FVector2d>();
	GetPawn()->AddMovementInput(GetPawn()->GetActorForwardVector(), VectorDirection.X);
	GetPawn()->AddMovementInput(GetPawn()->GetActorRightVector(), VectorDirection.Y);
}
